{ config, pkgs, ... }:
let
    profile = import ../profile.nix;
in
{

   environment.systemPackages = with pkgs; [
      vim
      fzf
      ripgrep
      ripgrep-all
      ctags
      lua54Packages.luarocks-nix
   ];

   programs.neovim = {
      enable = true;
      defaultEditor = true;
      withPython3 = true;
      withRuby = true;
      withNodeJs = true;
      viAlias = true;
      vimAlias = true;
   };
}
